
Figure - Bug #118160
【IOVDEV-29641】【内部】【VC1】【0095】【台架】【EE环境】【副屏】【第三方应用】QQ音乐HD播放
音乐时，滑动进度条，音量进度条响应迟钝，甚至无响应
2023-05-22 19:53 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-22

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【副屏版本号】：01.00.0095.C103��【中控版本号】：03.02.0080.C101.03_userdebug_2305121121

Resolution: WONTFIX Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】：EE环境

【问题出现时间】：2023/05/22 09:59 第44次开机

【前提条件】：电源ON

【操作步骤】：

1、打开QQ音乐HD

2、播放音乐

3、拖动歌曲进度条，音量条

【实际结果】

拖动延迟，甚至无响应

【期望结果】

拖动流畅

【备注】：

【应用版本】：

【硬件版本号】：不涉及

【副屏版本号】：01.00.0095.C103

【中控版本号】：03.02.0080.C101.03_userdebug_2305121121

【中控VIN】HRYTTESTVINMGM403

【第三方应用版本号】QQ音乐HD 5.2.0.133

录屏&log：https://ofs.human-horizons.com/#/download/index/vOhmmeHwJB8%3D

History

#1 - 2023-05-22 19:54 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118160

#2 - 2023-05-23 10:50 - Multimedia组-RD3_TSCD 梁卿山

HI 覃刚

当前分析：

从日志来看，我们发现调节音量时，中控都没有任何回复，音量调节全是失败；

我们判断当前和中控的连接出现了问题，导致了该问题。
https://ofs.human-horizons.com/#/download/index/vOhmmeHwJB8%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118160


000044_manual_00024_230522_130738.log:1143:05-22 13:07:44.188  1536  3522 D AS.AudioService: idcm_volume:==> adjustStreamMute: isStreamMute = false

000044_manual_00024_230522_130738.log:1190:05-22 13:07:44.226  1536  4778 D AS.AudioService: idcm_volume:setIDCMicroVolume(stream=3, index=14, 

calling=com.tencent.qqmusicpad) ★★★ 设置音量

000044_manual_00024_230522_130738.log:1191:05-22 13:07:44.226  1536  4778 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

000044_manual_00024_230522_130738.log:1192:05-22 13:07:44.226  1536  4778 D AudioIDCMicroNegotiator: idcm_common:requestResult method =

setVolume parameters = {"functionInfo":{"IDCM_VolumeValue_Media":"14"}}

000044_manual_00024_230522_130738.log:1193:05-22 13:07:44.226  1536  4778 I MicroServiceManager: requestResult(setVolume) parameters

is{"functionInfo":{"IDCM_VolumeValue_Media":"14"}}.

000044_manual_00024_230522_130738.log:1196:05-22 13:07:44.230  2088 29532 D MicroService: Send message to

IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService', destService='IDCM_CarAudioService', messageType='0',

uuid='1684732064226858379',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1684732064226858379,"methodName":"setVo

lume","parameters":{"functionInfo":{"IDCM_VolumeValue_Media":"14"}}}} ★★★发送消息

000044_manual_00024_230522_130738.log:1230:05-22 13:07:44.826  1536  4778 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return null 

★★★ 未收到回复

000044_manual_00024_230522_130738.log:1231:05-22 13:07:44.826  1536  4778 W AS.AudioService: idcm_warn: fail to set Vol: 14, respone: null

000044_manual_00024_230522_130738.log:1232:05-22 13:07:44.827  1536  4778 W AS.AudioService: idcm_warn: exception: java.lang.Exception: fail to set Vol:

14 ★★★设置音量失败

000044_manual_00024_230522_130738.log:1243:05-22 13:07:44.844  1536  4778 D AS.AudioService: idcm_volume:==> adjustStreamMute: isStreamMute = false

000044_manual_00024_230522_130738.log:1343:05-22 13:07:44.902  1536  4779 D AS.AudioService: idcm_volume:setIDCMicroVolume(stream=3, index=9,

calling=com.tencent.qqmusicpad)

000044_manual_00024_230522_130738.log:1344:05-22 13:07:44.902  1536  4779 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

000044_manual_00024_230522_130738.log:1345:05-22 13:07:44.903  1536  4779 D AudioIDCMicroNegotiator: idcm_common:requestResult method =

setVolume parameters = {"functionInfo":{"IDCM_VolumeValue_Media":"9"}}

000044_manual_00024_230522_130738.log:1346:05-22 13:07:44.903  1536  4779 I MicroServiceManager: requestResult(setVolume) parameters

is{"functionInfo":{"IDCM_VolumeValue_Media":"9"}}.

000044_manual_00024_230522_130738.log:1347:05-22 13:07:44.905  2088 29541 D MicroService: Send message to

IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService', destService='IDCM_CarAudioService', messageType='0',

uuid='1684732064903366191',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1684732064903366191,"methodName":"setVo

lume","parameters":{"functionInfo":{"IDCM_VolumeValue_Media":"9"}}}}

000044_manual_00024_230522_130738.log:1369:05-22 13:07:45.503  1536  4779 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return null

下一步

麻烦AF组分析一下，是否微服务和中控断开了，或者没有连接中控，谢谢！

#3 - 2023-05-23 10:51 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD FW 曹覃刚

#4 - 2023-05-23 16:42 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

- Resolution changed from -- to WONTFIX

HI 诗雨

和客户进行沟通后，发现是第三方问题，

华为平板也会复现该问题，所以是第三方应用问题，请关闭该问题。
#5 - 2023-05-23 16:49 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#6 - 2023-05-23 16:49 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

screen-20230522-130747.mp4 11.7 MB 2023-05-22 CDTS_Test 吴诗雨
